[**@rxap/remote-method**](../README.md)

***

[@rxap/remote-method](../globals.md) / RxapRemoteMethod

# Function: RxapRemoteMethod()

> **RxapRemoteMethod**\<`MetaData`\>(`metadataOrId`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:27](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/remote-method/src/lib/base.remote-method.ts#L27)

## Type Parameters

• **MetaData** *extends* `BaseDefinitionMetadata` = `BaseDefinitionMetadata`

## Parameters

### metadataOrId

`string` | `MetaData`

### className

`string` = `'BaseRemoteMethod'`

### packageName

`string` = `'@rxap/remote-method'`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
